--- sys-numbers

CREATE TABLE sys_numbers (
  number INTEGER IDENTITY (1, 1) PRIMARY KEY
);


WHILE COALESCE(SCOPE_IDENTITY(), 0) <= 1000
  BEGIN
    INSERT sys_numbers DEFAULT VALUES
  END;

SET IDENTITY_INSERT sys_numbers ON;
INSERT INTO sys_numbers (number) VALUES (0);
SET IDENTITY_INSERT sys_numbers OFF;
